> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Webhook Create

> Create a new `Webhook` for the `Tenant`



## OpenAPI

````yaml post /webhook/decoda/create
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /webhook/decoda/create:
    post:
      tags:
        - webhook
      summary: Webhook Create
      description: Create a new `Webhook` for the `Tenant`
      operationId: webhook_create_webhook_decoda_create_post
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WebhookCreate'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookSummary'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WebhookCreate:
      properties:
        subscriptions:
          items:
            $ref: '#/components/schemas/AlertType'
          type: array
          title: Subscriptions
          description: List of event types the webhook subscribes to.
        url:
          type: string
          title: Url
          description: The URL where the webhook will send notifications.
        notificationEmail:
          anyOf:
            - type: string
            - type: 'null'
          title: Notificationemail
          description: Email address for sending notifications about delivery failures.
      type: object
      required:
        - subscriptions
        - url
      title: WebhookCreate
    WebhookSummary:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier for the webhook.
        subscriptions:
          items:
            $ref: '#/components/schemas/AlertType'
          type: array
          title: Subscriptions
          description: List of event types the webhook is subscribed to.
        url:
          type: string
          title: Url
          description: The URL where the webhook sends notifications.
        createdDate:
          type: string
          format: date-time
          title: Createddate
          description: The date and time when the webhook was created.
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
          description: The date and time when the webhook was last updated.
        secret:
          type: string
          title: Secret
          description: The secret key used for signing the webhook payloads.
        notificationEmail:
          anyOf:
            - type: string
            - type: 'null'
          title: Notificationemail
          description: Email address for sending notifications about delivery failures.
        isArchived:
          type: boolean
          title: Isarchived
          description: Whether the webhook has been archived.
          default: false
      type: object
      required:
        - id
        - subscriptions
        - url
        - createdDate
        - secret
      title: WebhookSummary
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AlertType:
      type: string
      enum:
        - PATIENT_CREATED
        - PATIENT_UPDATED
        - APPOINTMENT_CANCELLED
        - APPOINTMENT_UPDATED
        - APPOINTMENT_REQUEST
        - APPOINTMENT_SCHEDULED
        - SELF_SCHEDULED_APPOINTMENT
        - SELF_SCHEDULED_APPOINTMENT_CANCELLED
        - SELF_SCHEDULED_APPOINTMENT_UPDATED
        - BLOCK_CREATED
        - BLOCK_CANCELLED
        - BLOCK_UPDATED
        - SHIFT_CREATED
        - SHIFT_CANCELLED
        - SHIFT_UPDATED
        - PAYMENT_CREATED
        - PAYMENT_FAILED
        - PAYMENT_SUCCEEDED
        - PLANNED_PAYMENT_FAILED
        - PLANNED_PAYMENT_SUCCEEDED
        - CHARGE_CREATED
        - REFUND_CREATED
        - REFUND_FAILED
        - REFUND_SUCCEEDED
        - ADJUSTMENT_CREATED
        - ADJUSTMENT_FAILED
        - ADJUSTMENT_SUCCEEDED
        - INVOICE_UPDATED
        - INVOICE_STATUS_UPDATE
        - INVOICE_SET_UPDATED
        - CHARGE_PAYMENT_CREATED
        - CALL_RECEIVED
        - CALL_MADE
        - CALL_ONGOING
        - MESSAGE_RECEIVED
        - MESSAGE_SENT
        - MESSAGE_DELIVERED
        - MESSAGE_FAILED
        - EMAIL_RECEIVED
        - EMAIL_SENT
        - MAIL_SENT
        - MAIL_DELIVERY_FAILED
        - FORM_SUBMITTED
        - APPOINTMENT_CHECKLIST_FILLED_FORM
        - APPOINTMENT_CHECKLIST_CHECKED_IN
        - APPOINTMENT_CHECKLIST_WITH_MA
        - APPOINTMENT_CHECKLIST_MEASUREMENT_TAKEN
        - APPOINTMENT_CHECKLIST_DOSE_TAKEN
        - APPOINTMENT_CHECKLIST_WITH_PROVIDER
        - APPOINTMENT_CHECKLIST_NOTE_TAKEN
        - APPOINTMENT_CHECKLIST_PAYMENT_MADE
        - APPOINTMENT_CHECKLIST_REQUEST_GFE
        - APPOINTMENT_CHECKLIST_PICTURE_TAKEN
        - APPOINTMENT_CHECKLIST_CARE_PLAN
        - NOTIFICATION
        - LOW_PATIENT_REVIEW
        - CHAT_UPDATE
        - RAINFOREST_PAYIN_FAILED
        - RAINFOREST_PAYIN_PROCESSING
        - RAINFOREST_POS_PAYIN_CANCELLED
        - RAINFOREST_DEPOSIT_IN_REVIEW
        - RAINFOREST_DEPOSIT_SUCCEEDED
        - RAINFOREST_DEPOSIT_FAILED
        - STOCK_LOW
        - STOCK_ADDED
        - STOCK_ARCHIVED
        - STOCK_LINKED_TO_ITEM
        - STOCK_UNLINKED_FROM_ITEM
        - STOCK_UPDATED
        - STOCK_DRAWDOWN
        - SHIPMENT_RECEIVED
        - SHIPMENT_UPDATED
        - SHIPMENT_ARCHIVED
        - ITEM_CREATED
        - ITEM_UPDATED
        - ITEM_ARCHIVED
        - INVENTORY_ACTION
      title: AlertType
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````